QGIS Application - Feature request #3269
SVG symbols - possibility to change color
2010-11-30 02:59 AM - pinux -

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 13329
Description

| think that it would be awesome to have the possibility to change the fill of the symbol. To explain my idea let's assume that | have a map
with points that represents a good/bad (blue/red in term of colors) situation. If | want to choose a SVG symbol to represent my points |
have to open the symbol that | chosen in inkscape and make 2 version one red and one blue. Let's assume that it is possible to change the
color for all the symbols that have only one color (like the black ones), it would be easier to have the same symbol in two different colors.

History

#1 - 2011-12-16 01:49 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:10 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:31 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-10-09 08:03 PM - Nyall Dawson
- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to fixed/implemented

- Assignee deleted (nobody -)

Already implemented - see http:/gis.stackexchange.com/questions/45180/how-to-create-svg-symbols-that-have-modifiable-fill-color-stroke-color-and-stro

and http://blog.sourcepole.ch/2011/06/30/svg-symbols-in-qgis-with-modifiable-colors/
